football

## Class Acteur

- java.lang.Object
- - football.Acteur

- Direct Known Subclasses:
    Arbitre, Joueur

      public abstract class Acteur
      extends java.lang.Object

  Classe abstraite Acteur
  Author:
    Adrien Poupa

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Acteur(java.lang.String nom, java.lang.String prenom, int age)` Constructeur de base acteur

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)` Surcharge de equals
    `int` | `getAge()` Age de l'acteur
    `java.lang.String` | `getNom()` Nom de l'acteur
    `java.lang.String` | `getPrenom()` Prénom de l'acteur
    `abstract double` | `getSalaire()` Salaire de l'acteur (arbitre ou joueur)
    `int` | `hashCode()` Surcharge de hashCode
    `void` | `setAge(int age)` Définition de l'age de l'acteur
    `java.lang.String` | `toString()` Affichage générique de l'acteur

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Acteur

          public Acteur(java.lang.String nom,
                        java.lang.String prenom,
                        int age)

      Constructeur de base acteur
      Parameters:
        `nom` - Nom de l'acteur
        `prenom` - Prénom de l'acteur
        `age` - Age de l'acteur

  - ### Method Detail

    - #### getSalaire

          public abstract double getSalaire()

      Salaire de l'acteur (arbitre ou joueur)
      Returns:
        double salaire

    - #### getNom

          public java.lang.String getNom()

      Nom de l'acteur
      Returns:
        nom de l'acteur

    - #### getPrenom

          public java.lang.String getPrenom()

      Prénom de l'acteur
      Returns:
        prénom de l'acteur

    - #### getAge

          public int getAge()

      Age de l'acteur
      Returns:
        age de l'acteur

    - #### setAge

          public void setAge(int age)

      Définition de l'age de l'acteur
      Parameters:
        `age` - Nouvel age

    - #### toString

          public java.lang.String toString()

      Affichage générique de l'acteur
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Acteur à afficher

    - #### equals

          public boolean equals(java.lang.Object o)

      Surcharge de equals
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `o` - objet à comparer
      Returns:
        true/false

    - #### hashCode

          public int hashCode()

      Surcharge de hashCode
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        hash int unique